Bug 542423 - frozen-bubble-server: fbubble user deleted on upgrade
Summary: frozen-bubble-server: fbubble user deleted on upgrade
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: frozen-bubble
Version: 12
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-29 19:01 UTC by Edward Sheldrake
Modified: 2009-12-02 04:45 UTC (History)
2 users (show)

Fixed In Version: 2.2.0-4.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-02 04:45:41 UTC


Attachments (Terms of Use)

Description Edward Sheldrake 2009-11-29 19:01:10 UTC
Description of problem:
On upgrading frozen-bubble-server, the fbubble user ends up deleted.

Version-Release number of selected component (if applicable):
frozen-bubble-server-2.2.0-2.fc11
frozen-bubble-server-2.2.0-3.fc12

How reproducible:
Always

Steps to Reproduce:
1. Have frozen-bubble-server-2.2.0-2.fc11 installed
2. Upgrade to frozen-bubble-server-2.2.0-3.fc12
3.
  
Actual results:
fbubble user gets removed from system.

Expected results:
fbubble user remains.

Additional info:
The user gets deleted by the old package's postuninstall script (not checking if upgrading), which runs after the new package is installed, making this bug more complicated to fix in an updated package.

Comment 1 Hans de Goede 2009-12-01 11:06:03 UTC
Thanks for reporting this, an updated package which fixes this is on its way. Updating to this package will automatically recreate the user, and fixup the ownership of (rpm managed) files if the uid has changed in between.

Comment 2 Fedora Update System 2009-12-01 12:44:47 UTC
frozen-bubble-2.2.0-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/frozen-bubble-2.2.0-4.fc12

Comment 3 Fedora Update System 2009-12-02 04:45:36 UTC
frozen-bubble-2.2.0-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.